> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Image



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/project-item-images/{id}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/project-item-images/{id}:
    patch:
      tags:
        - Project Item Images
      summary: Patch Image
      operationId: ProjectItemImagesController_patchImage_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchProjectItemImageDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectItemImageResponseDto'
components:
  schemas:
    PatchProjectItemImageDto:
      type: object
      properties:
        isPrimary:
          type: boolean
        version:
          type: number
      required:
        - version
    ProjectItemImageResponseDto:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
        filename:
          type: string
        isPrimary:
          type: boolean
        version:
          type: number
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - url
        - filename
        - isPrimary
        - version
        - createdAt
        - updatedAt

````